1. Knowledge Base
  2. >
  3. Results
  4. >
  5. mod_pagespeed

mod_pagespeed

This is a module that optimizes page load times and reduces resource consumption. This module is currently only available to VPS and Dedicated server customers.

Servers with mod_pagespeed may experience issues with domains using Cloudflare. These issues are frequently caused by both Cloudflare and mod_pagespeed attempting to use compression when serving the website. This can often be resolved by disabling compression through Cloudflare to avoid redundancy.

Currently, there are only binary RPM packages available to install this – a 32-bit and a 64-bit version. There are a couple of dependencies, and to get the most out of the module mod_deflate, it will need to be compiled in WHM via EasyApache. Entries will also need to be added to the Apache configuration file. Since this can take some time to configure properly, we will be charging a fee of $35.00 for VPS and Dedicated customers who request this module.

Note: With newer versions of cPanel, EasyApache (4.x and above) do not currently support mod_pagespeed. HostGator will be unable to downgrade EasyApache 4 to EasyApache 3.

Please contact us via phone or Live Chat if you have any questions or require assistance.